Utility Class Reference

`#include <utility.h>`

Collaboration diagram for Utility:

## Static Public Member Functions

static char * | strtolower (char *)
static std::string & | strtolower (std::string &)
static std::string | strtolower (const std::string &)
static std::string | strtoupper (const std::string &)
static bool | isTrueFalse (const char *)
static bool | isTrueFalse (const std::string &)
static bool | isTrue (const char *)
static bool | isTrue (const std::string &)
static bool | isFalse (const char *)
static bool | isFalse (const std::string &)
static bool | isYesNo (const char *)
static bool | isYesNo (const std::string &)
static bool | isYes (const char *)
static bool | isYes (const std::string &)
static bool | isNo (const char *)
static bool | isNo (const std::string &)
static double | toDouble (const std::string)
static int | toInt (const std::string)
static std::string | dirname (const std::string &)
static std::string | filename (const std::string &)
static bool | is_directory_usable (const std::string &dir)
static void | create_directory (const std::string &dir)

## Detailed Description

Definition at line 34 of file utility.h.

## Member Function Documentation

void Utility::create_directory | ( | const std::string & | dir | ) |

static

Create directory

Definition at line 330 of file utility.cpp.

Referenced by DatabaseConnector::set_database_filename().

Here is the caller graph for this function:

std::string Utility::dirname | ( | const std::string & | filepath | ) |

static

Return directory name from filepath

Definition at line 275 of file utility.cpp.

Referenced by DatabaseConnector::set_database_filename().

Here is the caller graph for this function:

std::string Utility::filename | ( | const std::string & | filepath | ) |

static

Return file name from filepath

Definition at line 291 of file utility.cpp.

bool Utility::is_directory_usable | ( | const std::string & | dir | ) |

static

Attempt to open directory and return true if successful

Definition at line 307 of file utility.cpp.

Referenced by DatabaseConnector::set_database_filename().

Here is the caller graph for this function:

bool Utility::isFalse | ( | const char * | str | ) |

static

Is string False

Definition at line 128 of file utility.cpp.

References strtolower().

Referenced by isFalse(), and isTrueFalse().

Here is the call graph for this function:

Here is the caller graph for this function:

bool Utility::isFalse | ( | const std::string & | str | ) |

static

Is string False

Definition at line 158 of file utility.cpp.

References isFalse().

Here is the call graph for this function:

bool Utility::isNo | ( | const char * | str | ) |

static

Is string No

Definition at line 208 of file utility.cpp.

References strtolower().

Referenced by isNo(), and isYesNo().

Here is the call graph for this function:

Here is the caller graph for this function:

bool Utility::isNo | ( | const std::string & | str | ) |

static

Is string No

Definition at line 250 of file utility.cpp.

References isNo().

Here is the call graph for this function:

bool Utility::isTrue | ( | const char * | str | ) |

static

Is string True

Definition at line 107 of file utility.cpp.

References strtolower().

Referenced by isTrue(), isTrueFalse(), ProfileManager::set_autopersist(), and SmoothedNgramPredictor::set_learn().

Here is the call graph for this function:

Here is the caller graph for this function:

bool Utility::isTrue | ( | const std::string & | str | ) |

static

Is string True

Definition at line 149 of file utility.cpp.

References isTrue().

Here is the call graph for this function:

bool Utility::isTrueFalse | ( | const char * | str | ) |

static

Is string either true or false

Definition at line 97 of file utility.cpp.

References isFalse(), and isTrue().

Referenced by isTrueFalse().

Here is the call graph for this function:

Here is the caller graph for this function:

bool Utility::isTrueFalse | ( | const std::string & | str | ) |

static

Is string either true or false

Definition at line 167 of file utility.cpp.

References isTrueFalse().

Here is the call graph for this function:

bool Utility::isYes | ( | const char * | str | ) |

static

Is string Yes

Definition at line 185 of file utility.cpp.

References strtolower().

Referenced by isYes(), isYesNo(), ContextTracker::set_lowercase_mode(), and Selector::set_repeat_suggestions().

Here is the call graph for this function:

Here is the caller graph for this function:

bool Utility::isYes | ( | const std::string & | str | ) |

static

Is string Yes

Definition at line 241 of file utility.cpp.

References isYes().

Here is the call graph for this function:

bool Utility::isYesNo | ( | const char * | str | ) |

static

Is string either yes or no

Definition at line 176 of file utility.cpp.

References isNo(), and isYes().

Referenced by isYesNo().

Here is the call graph for this function:

Here is the caller graph for this function:

bool Utility::isYesNo | ( | const std::string & | str | ) |

static

Is string either yes or no

Definition at line 232 of file utility.cpp.

References isYesNo().

Here is the call graph for this function:

char * Utility::strtolower | ( | char * | str | ) |

static

Convert string to lower case

Definition at line 42 of file utility.cpp.

Referenced by ContextTracker::isCompletionValid(), isFalse(), isNo(), isTrue(), isYes(), ARPAPredictor::predict(), and PredictorActivator::setCombinationPolicy().

Here is the caller graph for this function:

std::string & Utility::strtolower | ( | std::string & | str | ) |

static

Convert string to lower case

Definition at line 54 of file utility.cpp.

std::string Utility::strtolower | ( | const std::string & | str | ) |

static

Returns a lower case copy of a string

Definition at line 67 of file utility.cpp.

std::string Utility::strtoupper | ( | const std::string & | str | ) |

static

Convert string to upper case

Definition at line 82 of file utility.cpp.

double Utility::toDouble | ( | const std::string | str | ) |

static

Convert string to double.

Definition at line 258 of file utility.cpp.

Referenced by SmoothedNgramPredictor::set_deltas(), RecencyPredictor::set_lambda(), RecencyPredictor::set_n_0(), and DictionaryPredictor::set_probability().

Here is the caller graph for this function:

int Utility::toInt | ( | const std::string | str | ) |

static

Convert string to int.

Definition at line 266 of file utility.cpp.

Referenced by RecencyPredictor::set_cutoff_threshold(), Selector::set_greedy_suggestion_threshold(), Selector::set_suggestions(), DejavuPredictor::set_trigger(), PredictorActivator::setMaxPartialPredictionSize(), and PredictorActivator::setPredictTime().

Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- /build/buildd/presage-0.8.8/src/lib/core/utility.h
- /build/buildd/presage-0.8.8/src/lib/core/utility.cpp